Skip to content
Fontsource Logo
Documentation

Axis Registry

The Axis Registry endpoint gives detailed descriptions of variable axis tags and their corresponding values.

HTTP Request

  • GET https://api.fontsource.org/v1/axis-registry

Response

The API response for the Fontlist endpoint is a JSON object.

Attributes:

Returns an object of:

AttributeTypeDescription
[tag]Record<string, AxisRegistryItem>Axis tag object

AxisRegistryItem:

AttributeTypeDescription
namestringAxis name
descriptionstringAxis description
minnumberMinimum value possible for axis
maxnumberMaximum value possible for axis
defaultnumberDefault value for axis
precisionnumberPrecision

Response example:

{
  ...
  "ARRR":{
    "name":"AR Retinal Resolution",
    "description":"Resolution-specific enhancements in AR/VR typefaces to optimize rendering across the different resolutions of the headsets making designs accessible and easy to read.",
    "min":10,
    "max":60,
    "default":10,
    "precision":0
  },
  ...
}
json